clang-tools 8.0.0

Public Member Functions | List of all members
clang::clangd::DiagnosticsConsumer Class Referenceabstract

`#include <ClangdServer.h>`

Inheritance diagram for clang::clangd::DiagnosticsConsumer:
[legend]

## Public Member Functions
virtual | ~DiagnosticsConsumer ()=default
virtual void | onDiagnosticsReady (PathRef File, std::vector< Diag > Diagnostics)=0
| Called by ClangdServer when `Diagnostics` for `File` are ready. More...
virtual void | onFileUpdated (PathRef File, const TUStatus &Status)
| Called whenever the file status is updated. More...

## Detailed Description

Definition at line 41 of file ClangdServer.h.

## Constructor & Destructor Documentation

## ◆ ~DiagnosticsConsumer()

virtual clang::clangd::DiagnosticsConsumer::~DiagnosticsConsumer | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ onDiagnosticsReady()

virtual void clang::clangd::DiagnosticsConsumer::onDiagnosticsReady | ( | PathRef | File,
|  | std::vector< Diag > | Diagnostics
| ) |  |
| pure virtual

Called by ClangdServer when `Diagnostics` for `File` are ready.

## ◆ onFileUpdated()

virtual void clang::clangd::DiagnosticsConsumer::onFileUpdated | ( | PathRef | File,
|  | const TUStatus & | Status
| ) |  |
| inline virtual

Called whenever the file status is updated.

Definition at line 49 of file ClangdServer.h.

The documentation for this class was generated from the following file:

- ClangdServer.h